Appearance
Bid API Reference
Complete API reference for Bid operations.
Related: API Guide | All Resources
Bid
Gets bid details by a bid identifier.
GET
/bid/detail/{bidId}
Gets bid details by a bid identifier.
Authorizations
apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)
Parameters
Header Parameters
Authorization
access token
Type
string
Path Parameters
bidId*
Format - uuid.
Type
Requiredstring
Format
"uuid"Responses
OK
JSON
{
"Bid": {
"BidId": "00000000-0000-0000-0000-000000000000",
"BidTitle": "string",
"Description": "string",
"BidNumber": "string",
"FinishDate": "string",
"Address1": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"J1": "string",
"J2": "string",
"J3": "string",
"J4": "string",
"J5": "string",
"J6": "string",
"J7": "string",
"J8": "string",
"StartDate": "string",
"PriceIndex": 0,
"Proposal": "string",
"LastEstimatedDate": "string",
"IsTemplate": true,
"JobStatus": 0,
"LockedByUserID": "00000000-0000-0000-0000-000000000000",
"LockedDate": "string",
"LockCount": 0,
"LastCheckinByUserName": "string",
"Notes": "string",
"LastCheckinByUserId": "00000000-0000-0000-0000-000000000000",
"RevisionDate": "string",
"BidDate": "string",
"PlanDate": "string",
"CheckOutMachine": "string",
"DrawingNumber": "string",
"LocaleName": "string",
"LockedByUserName": "string",
"BuilderPersonName": "string",
"ArchitectPersonName": "string",
"BuilderCompanyName": "string",
"GCPersonName": "string",
"GCCompanyName": "string",
"OwnerPersonName": "string",
"OwnerCompanyName": "string",
"EstimatorUserName": "string",
"ArchitectCompanyName": "string",
"LastCheckinDate": "string",
"BidCreationDate": "string",
"Estimates": [
{
"BidScenarioId": "00000000-0000-0000-0000-000000000000",
"Title": "string",
"GrossPrice": 0,
"NetCost": 0,
"SellingPrice": 0,
"ScenarioType": "string",
"Percent": 0,
"ProfitToSell": 0,
"Amount": 0,
"PerHour": 0,
"PerManday": 0,
"PerCrewday": 0,
"TotalHours": 0,
"TotalManday": 0,
"LastCheckinDate": "string",
"LastCheckinByUserName": "string"
}
]
},
"ServerName": "string",
"TenantId": "00000000-0000-0000-0000-000000000000",
"UserId": "00000000-0000-0000-0000-000000000000",
"ProcessingTime": 0,
"HasError": true,
"ErrorMessage": "string",
"StackTrace": "string",
"RequestKey": "string"
}
GET
/bid/detail/{bidId}
Returns all bids.
POST
/bid/all
Returns all bids.
Authorizations
apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)
Parameters
Header Parameters
Authorization
access token
Type
string
Request Body
JSON
{
"BidId": "00000000-0000-0000-0000-000000000000",
"BidTitle": "string",
"LastCheckinByUserName": "string",
"EstimatorUserName": "string",
"LastEstimatedDate_From": "string",
"LastEstimatedDate_To": "string"
}
Responses
OK
JSON
{
"Bids": [
{
"BidId": "00000000-0000-0000-0000-000000000000",
"BidTitle": "string",
"Description": "string",
"BidNumber": "string",
"FinishDate": "string",
"Address1": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"J1": "string",
"J2": "string",
"J3": "string",
"J4": "string",
"J5": "string",
"J6": "string",
"J7": "string",
"J8": "string",
"StartDate": "string",
"PriceIndex": 0,
"Proposal": "string",
"LastEstimatedDate": "string",
"IsTemplate": true,
"JobStatus": 0,
"LockedByUserID": "00000000-0000-0000-0000-000000000000",
"LockedDate": "string",
"LockCount": 0,
"LastCheckinByUserName": "string",
"Notes": "string",
"LastCheckinByUserId": "00000000-0000-0000-0000-000000000000",
"RevisionDate": "string",
"BidDate": "string",
"PlanDate": "string",
"CheckOutMachine": "string",
"DrawingNumber": "string",
"LocaleName": "string",
"LockedByUserName": "string",
"BuilderPersonName": "string",
"ArchitectPersonName": "string",
"BuilderCompanyName": "string",
"GCPersonName": "string",
"GCCompanyName": "string",
"OwnerPersonName": "string",
"OwnerCompanyName": "string",
"EstimatorUserName": "string",
"ArchitectCompanyName": "string",
"LastCheckinDate": "string",
"BidCreationDate": "string",
"Estimates": [
{
"BidScenarioId": "00000000-0000-0000-0000-000000000000",
"Title": "string",
"GrossPrice": 0,
"NetCost": 0,
"SellingPrice": 0,
"ScenarioType": "string",
"Percent": 0,
"ProfitToSell": 0,
"Amount": 0,
"PerHour": 0,
"PerManday": 0,
"PerCrewday": 0,
"TotalHours": 0,
"TotalManday": 0,
"LastCheckinDate": "string",
"LastCheckinByUserName": "string"
}
]
}
],
"ServerName": "string",
"TenantId": "00000000-0000-0000-0000-000000000000",
"UserId": "00000000-0000-0000-0000-000000000000",
"ProcessingTime": 0,
"HasError": true,
"ErrorMessage": "string",
"StackTrace": "string",
"RequestKey": "string"
}
POST
/bid/all
Creates a bid with an option to auto-create the scenario.
POST
/bid/create
Creates a bid with an option to auto-create the scenario.
Authorizations
apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)
Parameters
Header Parameters
Authorization
access token
Type
string
Request Body
JSON
{
"BidTitle": "string",
"Description": "string",
"AutoCreateScenario": true,
"StreamVersion": 0,
"Address1": "string",
"Address2": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"ID": "00000000-0000-0000-0000-000000000000",
"J1": "string",
"J2": "string",
"J3": "string",
"J4": "string",
"J5": "string",
"J6": "string",
"J7": "string",
"J8": "string",
"StartDate": "string",
"PriceIndex": 0,
"Proposal": "string",
"JobOptions": "string",
"LastEstimatedDate": "string",
"Awarded": true,
"JobStatus": 0,
"Notes": "string",
"BidDate": "string",
"BidNumber": "string",
"PlanDate": "string",
"BuilderCompanyID": "00000000-0000-0000-0000-000000000000",
"ArchitectPersonID": "00000000-0000-0000-0000-000000000000",
"CheckOutMachine": "string",
"DrawingNumber": "string",
"LockedByUserName": "string",
"BuilderPersonName": "string",
"BuilderPersonID": "00000000-0000-0000-0000-000000000000",
"ArchitectPersonName": "string",
"BuilderCompanyName": "string",
"GCPersonName": "string",
"GCCompanyName": "string",
"OwnerPersonName": "string",
"OwnerCompanyName": "string",
"EstimatorUserName": "string",
"EstimatorEmailAddress": "string",
"ArchitectCompanyName": "string",
"LastCheckinDate": "string",
"RevisionDate": "string",
"ArchitectCompanyID": "00000000-0000-0000-0000-000000000000",
"EstimatorUserID": "00000000-0000-0000-0000-000000000000",
"GCCompanyID": "00000000-0000-0000-0000-000000000000",
"GCPersonID": "00000000-0000-0000-0000-000000000000",
"LastCheckinByUserId": "00000000-0000-0000-0000-000000000000",
"LastCheckinByUserName": "string",
"LocaleID": "00000000-0000-0000-0000-000000000000",
"LocaleName": "string",
"LockCount": 0,
"LockedByUserID": "00000000-0000-0000-0000-000000000000",
"LockedDate": "string",
"OwnerCompanyID": "00000000-0000-0000-0000-000000000000",
"OwnerPersonID": "00000000-0000-0000-0000-000000000000"
}
Responses
OK
JSON
{
"BidId": "00000000-0000-0000-0000-000000000000",
"BidScenarioId": "00000000-0000-0000-0000-000000000000",
"ServerName": "string",
"TenantId": "00000000-0000-0000-0000-000000000000",
"UserId": "00000000-0000-0000-0000-000000000000",
"ProcessingTime": 0,
"HasError": true,
"ErrorMessage": "string",
"StackTrace": "string",
"RequestKey": "string"
}
POST
/bid/create
Adds a bid image.
POST
/bid/AddBidImage
Adds a bid image.
Authorizations
apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)
Parameters
Header Parameters
Authorization
access token
Type
string
Query Parameters
dataReq.tenantId
Format - uuid.
Type
string
Format
"uuid"dataReq.bidId
Format - uuid.
Type
string
Format
"uuid"dataReq.fileName
Type
string
dataReq.description
Type
string
dataReq.rasterImage
Format - byte.
Type
string
Format
"byte"dataReq.imageWidth
Format - int32.
Type
integer
Format
"int32"dataReq.imageHeight
Format - int32.
Type
integer
Format
"int32"dataReq.imageResolution
Format - int32.
Type
integer
Format
"int32"dataReq.displayZoomFactor
Format - int32.
Type
integer
Format
"int32"dataReq.displayXOffset
Format - int32.
Type
integer
Format
"int32"dataReq.displayYOffset
Format - int32.
Type
integer
Format
"int32"Request Body
JSON
{
"TenantId": "00000000-0000-0000-0000-000000000000",
"BidId": "00000000-0000-0000-0000-000000000000",
"FileName": "string",
"Description": "string",
"RasterImage": "string",
"ImageWidth": 0,
"ImageHeight": 0,
"ImageResolution": 0,
"DisplayZoomFactor": 0,
"DisplayXOffset": 0,
"DisplayYOffset": 0
}
Responses
OK
JSON
{
"BidImageId": "00000000-0000-0000-0000-000000000000",
"BidImageRevisionId": "00000000-0000-0000-0000-000000000000",
"AddedStatus": "string",
"AddImageMessage": "string",
"ServerName": "string",
"TenantId": "00000000-0000-0000-0000-000000000000",
"UserId": "00000000-0000-0000-0000-000000000000",
"ProcessingTime": 0,
"HasError": true,
"ErrorMessage": "string",
"StackTrace": "string",
"RequestKey": "string"
}
POST
/bid/AddBidImage
